-- Variables that are used on both client and server
SWEP.Gun = ("bb_xm1014")					-- must be the name of your swep
SWEP.Category				= "CS:S Weapons"
SWEP.Author				= ""
SWEP.Contact				= ""
SWEP.Purpose				= ""
SWEP.Instructions				= ""
SWEP.MuzzleAttachment			= "1" 	-- Should be "1" for CSS models or "muzzle" for hl2 models
SWEP.ShellEjectAttachment			= "2" 	-- Should be "2" for CSS models or "1" for hl2 models
SWEP.PrintName				= "XM1014"		-- Weapon name (Shown on HUD)	
SWEP.Slot				= 3				-- Slot in the weapon selection menu
SWEP.SlotPos				= 3			-- Position in the slot
SWEP.DrawAmmo				= true		-- Should draw the default HL2 ammo counter
SWEP.DrawWeaponInfoBox			= false		-- Should draw the weapon info box
SWEP.BounceWeaponIcon   		= 	false	-- Should the weapon icon bounce?
SWEP.DrawCrosshair			= true		-- set false if you want no crosshair
SWEP.Weight				= 30			-- rank relative ot other weapons. bigger is better
SWEP.AutoSwitchTo			= true		-- Auto switch to if we pick it up
SWEP.AutoSwitchFrom			= true		-- Auto switch from if you pick up a better weapon
SWEP.HoldType 				= "shotgun"

SWEP.ViewModelFOV			= 70
SWEP.ViewModelFlip			= true
SWEP.ViewModel				= "models/weapons/v_shot_xm1014.mdl"	-- Weapon view model
SWEP.WorldModel				= "models/weapons/w_shot_xm1014.mdl"	-- Weapon world model
SWEP.Base 				= "bobs_shotty_base"
SWEP.Spawnable				= true
SWEP.AdminSpawnable			= true

SWEP.Primary.Sound			= Sound("Weapon_XM1014.1")		-- script that calls the primary fire sound
SWEP.Primary.RPM				= 200		-- This is in Rounds Per Minute
SWEP.Primary.ClipSize			= 8			-- Size of a clip
SWEP.Primary.DefaultClip			= 30	-- Default number of bullets in a clip
SWEP.Primary.KickUp			= 1				-- Maximum up recoil (rise)
SWEP.Primary.KickDown			= 0.8		-- Maximum down recoil (skeet)
SWEP.Primary.KickHorizontal			= 0.6	-- Maximum up recoil (stock)
SWEP.Primary.Automatic			= false		-- Automatic/Semi Auto
SWEP.Primary.Ammo			= "buckshot"

SWEP.Secondary.IronFOV			= 60		-- How much you 'zoom' in. Less is more! 

SWEP.ShellTime			= .34

SWEP.Primary.NumShots	= 9		-- How many bullets to shoot per trigger pull, AKA pellets
SWEP.Primary.Damage		= 10	-- Base damage per bullet
SWEP.Primary.Spread		= .035	-- Define from-the-hip accuracy 1 is terrible, .0001 is exact)
SWEP.Primary.IronAccuracy = .035	-- Ironsight accuracy, should be the same for shotguns
-- Because irons don't magically give you less pellet spread!

-- Enter iron sight info and bone mod info below
if GetConVar("default_css_xm1014") == nil then
		CreateConVar("default_css_xm1014", "1", {  FCVAR_ARCHIVE }, "Use default css weapon? Restart for this to take effect.")
end

if not (file.Exists( "resource/cstrike_english.txt", "GAME" )) 
 or not (GetConVar("default_css_xm1014"):GetBool()) then 
	SWEP.ViewModel = "models/weapons/2_shot_xm1014.mdl"	-- Weapon view model
	SWEP.Primary.Sound			= Sound("Alt_Weapon_XM1014.1")
	SWEP.IronSightsPos = Vector(5.317, 0.551, 2.24)
	SWEP.IronSightsAng = Vector(-0.238, 0.763, 4.303)
	SWEP.SightsPos = Vector(5.317, 0.551, 2.24)
	SWEP.SightsAng = Vector(-0.238, 0.763, 4.303)
	SWEP.RunSightsPos = Vector(-3.701, -7.639, 0.236)
	SWEP.RunSightsAng = Vector(-9.646, -65.866, 0)
else
	SWEP.IronSightsPos = Vector(5.153, -3.804, 2.164)
	SWEP.IronSightsAng = Vector(0, 0.731, 0)
	SWEP.SightsPos = Vector(5.153, -3.804, 2.164)
	SWEP.SightsAng = Vector(0, 0.731, 0)
	SWEP.RunSightsPos = Vector(-0.329, -5.246, 2.131)
	SWEP.RunSightsAng = Vector(-18.362, -36.722, 0)
end